from distutils.core import setup

import data_logger


classifiers = """\
Development Status :: 2 - Pre-Alpha
Intended Audience :: Developers
Intended Audience :: Science/Research
Operating System :: POSIX
Operating System :: Unix
License :: OSI Approved :: GNU General Public License (GPL)
Programming Language :: Python
Topic :: Scientific/Engineering
Topic :: Software Development :: Libraries :: Python Modules
"""


long_description = open('README', 'r').read()

setup(name='data_logger',
      version=data_logger.__version__,
      maintainer='W. Trevor King',
      maintainer_email='wking@drexel.edu',
      url='http://www.physics.drexel.edu/~wking/unfolding-disasters/posts/data_logger/',
      download_url='http://www.physics.drexel.edu/~wking/code/python/data_logger-%s.tar.gz'
      % data_logger.__version__,
      license="GNU General Public License (GPL)",
      platforms=["all"],
      description=long_description.splitlines()[0],
      long_description=long_description,
      classifiers=filter(None, classifiers.split("\n")),
      py_modules=['data_logger'],
      )
